Dataset
Evaluation dataset metadata, item counts, run history, and input/output schemas.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
datasetId | string | Optional | Identifier of the evaluation dataset. |
name | string | Optional | Name identifying the evaluation dataset. |
description | string | Optional | Human-readable description of the resource. |
metadataJson | string | Optional | Additional attributes serialized as a JSON object. |
itemCount | integer (int32) | Optional | Number of dataset items reported for the dataset or run. Minimum: -2147483648. Maximum: 2147483647. |
runCount | integer (int32) | Optional | Number of runs reported for the evaluation dataset. Minimum: -2147483648. Maximum: 2147483647. |
createdAt | string (date-time) | Optional | Time when this record was created. |
lastRunAt | string (date-time) | Optional | Time when the dataset was most recently evaluated. |
inputSchemaJson | string | Optional | JSON Schema describing dataset input values. |
expectedOutputSchemaJson | string | Optional | JSON Schema describing expected dataset output values. |
Where used
| Reference | Relationship |
|---|---|
| List datasets | POST /api/v1/evals/list-datasets |
Download the public reference contract.
Document: DOC-API-MODEL-dataset.